#cython: language_level=3

from .capidmscolumn_char cimport *


cdef class OBIDMS_column_char(OBIDMS_column) :
  
    def set_item(self, line_nb, element_name, value):
        if element_name != "" :
            element_idx = self.get_element_index_from_name(element_name)
        else :
            if obi_column_get_nb_elements_per_line(self.pointer) == 1 :
                element_idx = 0
            else : 
                print("An element name must be specified")
                return -1
        return obi_column_set_char(self.pointer, line_nb, element_idx, value)
     
    def get_item(self, line_nb, element_name):
        if element_name != "" :
            element_idx = self.get_element_index_from_name(element_name)
        else :
            if obi_column_get_nb_elements_per_line(self.pointer) == 1 :
                element_idx = 0
            else : 
                print("An element name must be specified")
                return -1
        return (obi_column_get_char(self.pointer, line_nb, element_idx)).decode(encoding='UTF-8')[:1]    #not ideal...
        
    