cdef extern from *:
    ctypedef char* const_char_p "const char*"

cdef extern from "obidms.h" nogil:
    struct OBIDMS_t:
        pass

    ctypedef OBIDMS_t* OBIDMS_p 

    OBIDMS_p obi_create_dms(const_char_p dms_name)
    OBIDMS_p obi_open_dms(const_char_p dms_name)
    OBIDMS_p obi_dms(const_char_p dms_name)
    int obi_close_dms(OBIDMS_p dms)
    int obi_list_columns(OBIDMS_p dms)
    
cdef class OBIDMS:
    cdef OBIDMS_p pointer
